import click
import yaml

from .preprocess import preprocess_file


@click.group()
@click.argument('config_file', envvar='PREPROCESS_CONFIG', type=click.File('r'))
def cli(ctx, config_file=None):
    config = yaml.load(config_file)
    ctx['CONFIG'] = config


@cli.command(help='Run the preprocess daemon, attaching to a Redis queue')
def daemon(ctx):
    click.echo(ctx['CONFIG'])


@cli.command(help='Run a single, one-off preprocessing')
@click.argument('file_path', type=str)
def preprocess(ctx, file_path):
    preprocess_file(ctx['CONFIG'], file_path)


if __name__ == '__main__':
    cli({})
